
CoCoALib - Feature #1005

Makefile: install target for CoCoALib

01 Feb 2017 16:43 - John Abbott

Status: Closed Start date: 01 Feb 2017

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Portability Estimated time: 4.44 hours

Target version: CoCoALib-0.99600 Spent time: 4.50 hours

Description

There should be an install target for CoCoALib.

Related issues:

Related to CoCoALib - Design #1125: Separate install script for CoCoALib? New 16 Nov 2017

History

#1 - 01 Feb 2017 16:51 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 30

I have already written a first install target for CoCoALib (and a first attempt to use it required a system reinstallation :-/)

What should the install target do?

put libcocoa.a in /usr/local/lib/

put the header files in /usr/local/include/CoCoA/

what about documentation and examples????

Actually the library is placed in /usr/local/lib/libcocoa-$VERSION.a and then a symbolic link is made so that /usr/local/lib/libcocoa.a refers to the real

file; this is so that a new version does not "stomp on" a previously installed version.

Similarly the header files are actually installed in /usr/local/include/CoCoA-$VERSION/ then a symbolic link is created so that

/usr/local/include/CoCoA refers to the true directory; the reason is again to avoid "stomping on" a previously installed version (assuming it has a

different version number)

#2 - 01 Feb 2017 21:49 - John Abbott

- Assignee set to John Abbott

- % Done changed from 30 to 50

I have added some lines to copy documentation and examples:

doc/CoCoALib.pdf  is copied into /usr/local/include/CoCoA/doc/CoCoALib.pdf

doc/html/*  are copied into  /usr/local/include/CoCoA/doc/html/

examples/ex-*.C  are copied into  /usr/local/include/CoCoA/examples/

I have decided to put them into /usr/local/include/CoCoA/ because I know that that directory exists and is writable; it also keeps all files (except

libcocoa.a) associated with a particular version of CoCoALib together in the same subtree.
I am open to suggestions for better ways to organize this; I just wanted a quick solution before the CoCoA minicourse.

PS I have not yet actually tried running make install (after last time's unfortunate outcome).

#3 - 06 Nov 2017 15:53 - John Abbott

- Target version changed from CoCoALib-0.99560 to CoCoALib-0.99600

#4 - 16 Nov 2017 15:20 - John Abbott

- % Done changed from 50 to 70

Before installing CoCoA you must compile both the library and the documentation (incl. examples/index.html).

This is now checked in the Makefile script for install.

Bruns has given some useful feedback.

#5 - 25 Jun 2018 15:33 - John Abbott

- Related to Design #1125: Separate install script for CoCoALib? added

#6 - 03 Aug 2018 17:08 - John Abbott

- Status changed from In Progress to Closed

- % Done changed from 70 to 100

- Estimated time set to 4.44 h

SUMMARY: it has not yet been tested much, but is probably safe enough to "close" this issue
